<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($estadoEM == '-'):
    $var =' 1';
else:
    $var = ' activo='.$estadoEM;
endif;

$nro=1;
$nro_grupos=1;

//Identifico el grupo

$sqlCTA = "SELECT * FROM cta WHERE $var ORDER BY id_fk_cliente_fact";
$conCTA = $bdDepen->consulta($sqlCTA);
while($resCTA = $bdDepen->fetch_assoc($conCTA)):
    
    $indicador=1;

    $nombre=utf8_encode($resCTA['nombre']);
    $nombre_plano=utf8_encode($resCTA['nombre_plano']);
    $nit_plano=$resCTA['nit_plano'];
    $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
    $id_cta=$resCTA['id_cta'];
    $comentario=utf8_encode($resCTA['comentario']);
    $modo=$resCTA['modo'];
    $activo=$resCTA['activo'];
    $fecha_creacion=$resCTA['fecha_creacion'];
    $grupo = nom_grupo_cta($id_fk_cliente_fact, $bdFact);
    
    $array_cta[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'nombre'=>$nombre, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario'=>$comentario, 'fecha_creacion'=>$fecha_creacion, 'grupo'=>$grupo);

endwhile;

//Vista de la relación de datos
require("lista_empresas_vista.php");

?>